Lavalite package that provides slim management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `slim/slim`.

    "slim/slim": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Slim\Slim\Providers\SlimServiceProvider::class,

And also add it to alias

    'Slim'  => Slim\Slim\Facades\Slim::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Slim\\SlimTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Slim\Slim\Providers\SlimServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Slim\Slim\Providers\SlimServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Slim\Slim\Providers\SlimServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/slim/{modulename}

**User**

    http://path-to-route-folder/user/slim/{modulename}

**Public**

    http://path-to-route-folder/slims


### API endpoints

**List**

    http://path-to-route-folder/api/user/slim/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/slim/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/slim/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/slim/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/slim/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/slim/{modulename}/{slug}
    METHOD: GET